Loading...
Searching...
No Matches
XrdRmcSlot::ioQ Struct Reference

`#include <XrdRmcSlot.hh>`

Collaboration diagram for XrdRmcSlot::ioQ:

## Public Member Functions

| ioQ (ioQ *First, XrdSysSemaphore *ioW)

## Public Attributes

XrdSysSemaphore * | ioEnd
ioQ * | Next

## Detailed Description

Definition at line 122 of file XrdRmcSlot.hh.

## Constructor & Destructor Documentation

## ioQ()

XrdRmcSlot::ioQ::ioQ | ( | ioQ * | First,
|  | XrdSysSemaphore * | ioW )

inline

Definition at line 125 of file XrdRmcSlot.hh.

: Next(First), ioEnd(ioW) {}
XrdRmcSlot::ioQ::ioEnd
XrdSysSemaphore * ioEnd
Definition XrdRmcSlot.hh:124
XrdRmcSlot::ioQ::Next
ioQ * Next
Definition XrdRmcSlot.hh:123

References ioQ(), ioEnd, and Next.

Referenced by ioQ().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## ioEnd

XrdSysSemaphore* XrdRmcSlot::ioQ::ioEnd

Definition at line 124 of file XrdRmcSlot.hh.

Referenced by ioQ().

## Next

ioQ* XrdRmcSlot::ioQ::Next

Definition at line 123 of file XrdRmcSlot.hh.

Referenced by ioQ().

The documentation for this struct was generated from the following file:

- XrdRmcSlot.hh